com.brightcove.player.event

## Class EventType

- java.lang.Object
- - com.brightcove.player.event.EventType

-     public final class EventType
      extends java.lang.Object

  Maintains a list of Event types that the system is aware of. New events introduced to the system should be located here.

  However, because we're really just passing around strings, it's fully possible for users to create and use their own events.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ACCOUNT` Indicates that the account has been set.
    `static java.lang.String` | `ACTIVITY_CREATED` Indicates the activity has been created.
    `static java.lang.String` | `ACTIVITY_DESTROYED` Indicates the activity has been destroyed.
    `static java.lang.String` | `ACTIVITY_PAUSED` Indicates the activity has been paused.
    `static java.lang.String` | `ACTIVITY_RESTARTED` Indicates the activity has been restarted.
    `static java.lang.String` | `ACTIVITY_RESUMED` Indicates the activity is about to save state.
    `static java.lang.String` | `ACTIVITY_SAVE_INSTANCE_STATE` Indicates the activity is about to save state.
    `static java.lang.String` | `ACTIVITY_STARTED` Indicates the activity has been started.
    `static java.lang.String` | `ACTIVITY_STOPPED` Indicates the activity has been stopped.
    `static java.lang.String` | `AD_BREAK_COMPLETED` After a plugin finishes an advertisement break, it will emit this event.
    `static java.lang.String` | `AD_BREAK_STARTED` After a plugin starts an advertisement break, it will emit this event.
    `static java.lang.String` | `AD_COMPLETED` After a plugin finishes an advertisement, it will emit this event.
    `static java.lang.String` | `AD_ERROR` When a plugin encounters an error while playing an advertisement, it will emit this event.
    `static java.lang.String` | `AD_PAUSED` After a plugin pauses an advertisement, it will emit this event.
    `static java.lang.String` | `AD_PROGRESS` As a plugin plays an advertisement, it will emit this event periodically.
    `static java.lang.String` | `AD_RESUMED` After a plugin resumes an advertisement, it will emit this event.
    `static java.lang.String` | `AD_STARTED` After a plugin starts an advertisement, it will emit this event.
    `static java.lang.String` | `ADD_ANALYTICS_BASE_PARAMS` Indicates additional base parameters for the Analytics component are available.
    `static java.lang.String` | `ANALYTICS_CATALOG_REQUEST` Indicates that a catalog request has been made.
    `static java.lang.String` | `ANALYTICS_CATALOG_RESPONSE` Indicates that a catalog response was received.
    `static java.lang.String` | `ANALYTICS_VIDEO_ENGAGEMENT` Indicates that video_engagement event data was received.
    `static java.lang.String` | `ANY` ANY is a special event in that the Default Implementation of EventEmitter will process all listeners for ANY before every event.
    `static java.lang.String` | `AUDIO_TRACKS` Indicates that there is at least one audio track for the user to choose from.
    `static java.lang.String` | `AUDIO_TRACKS_DIALOG_OK` Indications the audio tracks dialog ok button has been pressed.
    `static java.lang.String` | `AUDIO_TRACKS_DIALOG_SETTINGS` Indications the audio tracks dialog settings button has been pressed.
    `static java.lang.String` | `BUFFERED_UPDATE` As a progressive download video is downloaded, the VideoDisplayComponent will emit updates indicating how much of the video has been buffered.
    `static java.lang.String` | `BUFFERING_COMPLETED` Indicates that a player has finished buffering content.
    `static java.lang.String` | `BUFFERING_STARTED` Indicates that a player has started buffering content.
    `static java.lang.String` | `CAPTION` Indicates that a caption should be rendered.
    `static java.lang.String` | `CAPTIONS_AVAILABLE` Indicates that closed captioning information is available for use.
    `static java.lang.String` | `CAPTIONS_DIALOG_OK` Indications the captions dialog ok button has been pressed.
    `static java.lang.String` | `CAPTIONS_DIALOG_SETTINGS` Indications the captions dialog settings button has been pressed.
    `static java.lang.String` | `CAPTIONS_LANGUAGES` Indicates that there is at least one caption language for the user to choose from.
    `static java.lang.String` | `CHANGE_ORIENTATION` The player is requesting orientation change
    `static java.lang.String` | `CLOSED_CAPTIONING_ERROR` Indicates that there was an error processing closed captioning information.
    `static java.lang.String` | `COMPLETED` Indicates video playback has completed (i.e., played entire media).
    `static java.lang.String` | `CONFIGURATION_CHANGED` Indicates that a configuration change has occurred in the Activity.
    `static java.lang.String` | `CUE_POINT` Indicates a cue point has been fired at a specific time position.
    `static java.lang.String` | `DEBUG` Indicates debug logging should be enabled or disabled
    `static java.lang.String` | `DID_CHANGE_LIST` Indicates that the list of videos changed.
    `static java.lang.String` | `DID_ENTER_FULL_SCREEN` The player entered full screen.
    `static java.lang.String` | `DID_ENTER_PICTURE_IN_PICTURE_MODE` The player entered Picture-in-Picture mode.
    `static java.lang.String` | `DID_EXIT_FULL_SCREEN` The player exited full screen.
    `static java.lang.String` | `DID_EXIT_PICTURE_IN_PICTURE_MODE` The player exited Picture-in-Picture mode.
    `static java.lang.String` | `DID_FAST_FORWARD` Indicates a fast forward operation should begin.
    `static java.lang.String` | `DID_GO_LIVE` Indicates that the video has gone live.
    `static java.lang.String` | `DID_INTERRUPT_CONTENT` Indicates that content was interrupted.
    `static java.lang.String` | `DID_LOAD_CLOSED_CAPTIONS` Indicates that a closed captioning document has been loaded.
    `static java.lang.String` | `DID_PAUSE` Indicates playback just stopped, in response to PAUSE.
    `static java.lang.String` | `DID_PLAY` Indicates playback just began, in response to PLAY.
    `static java.lang.String` | `DID_REMOVE_VIDEO_STILL` Indicates a Video Still image has been successfully removed.
    `static java.lang.String` | `DID_RESUME_CONTENT` Indicates that content was resumed.
    `static java.lang.String` | `DID_REWIND` Indicates a rewind operation has completed.
    `static java.lang.String` | `DID_SEEK_TO` Indicates a previously requested seek action completed, in response to SEEK_TO.
    `static java.lang.String` | `DID_SELECT_SOURCE` Indicates a Source rendition was selected, in response to SELECT_SOURCE.
    `static java.lang.String` | `DID_SET_ANALYTICS_BASE_PARAMS` Indicates that the Analytics component received base parameter changes and has applied them
    `static java.lang.String` | `DID_SET_SOURCE` Indicates a Source has been successfully loaded, in response to SET_SOURCE.
    `static java.lang.String` | `DID_SET_VIDEO` Indicates a Video loaded successfully, in response to SET_VIDEO.
    `static java.lang.String` | `DID_SET_VIDEO_STILL` Indicates a Video Still image has been successfully loaded, in response to SET_VIDEO_STILL.
    `static java.lang.String` | `DID_SET_VIDEO_STILL_ERROR` Indicates a Video Still image has NOT been successfully loaded, in response to SET_VIDEO_STILL.
    `static java.lang.String` | `DID_STOP` Indicates playback just stopped, in response to STOP.
    `static java.lang.String` | `ENTER_FULL_SCREEN` The player will enter full screen mode.
    `static java.lang.String` | `ENTER_PICTURE_IN_PICTURE_MODE` The player will enter Picture-in-Picture mode.
    `static java.lang.String` | `ENTER_TV_MODE` The player will enter tv mode.
    `static java.lang.String` | `ENTERED_VR_MODE` The player has entered Google VR mode.
    `static java.lang.String` | `ERROR` Indicates an error occurred in a component in the course of processing an earlier event.
    `static java.lang.String` | `EXIT_FULL_SCREEN` The player will exit full screen mode.
    `static java.lang.String` | `EXIT_PICTURE_IN_PICTURE_MODE` The player will exit Picture-in-Picture mode.
    `static java.lang.String` | `EXITED_VR_MODE` The player has exited Google VR mode.
    `static java.lang.String` | `FAST_FORWARD` Indicates a fast forward operation should begin.
    `static java.lang.String` | `FIND_PLAYLIST` Request to find a playlist via the Catalog.
    `static java.lang.String` | `FIND_VIDEO` Request to find a video via the Catalog.
    `static java.lang.String` | `FRAGMENT_ACTIVITY_CREATED`
    `static java.lang.String` | `FRAGMENT_CREATED_VIEW`
    `static java.lang.String` | `FRAGMENT_DESTROYED`
    `static java.lang.String` | `FRAGMENT_DESTROYED_VIEW`
    `static java.lang.String` | `FRAGMENT_DETACHED`
    `static java.lang.String` | `FRAGMENT_PAUSED`
    `static java.lang.String` | `FRAGMENT_RESUMED`
    `static java.lang.String` | `FRAGMENT_SAVE_INSTANCE_STATE`
    `static java.lang.String` | `FRAGMENT_STARTED`
    `static java.lang.String` | `FRAGMENT_STOPPED`
    `static java.lang.String` | `FRAGMENT_VIEW_STATE_RESTORED`
    `static java.lang.String` | `GO_LIVE` Indicates that the video should go to the live position.
    `static java.lang.String` | `GSC_ERROR` Indicates that generic stream concurrency error has been found.
    `static java.lang.String` | `GSC_MAX_CONCURRENCY_REACHED` Indicates that generic stream concurrency has reached the max of devices allowed to playback content.
    `static java.lang.String` | `HIDE_PLAYER_OPTIONS` The player will hide the player extra options as audio tracks and captions.
    `static java.lang.String` | `HIDE_SEEK_CONTROLS` Hide the player controls
    `static java.lang.String` | `ODRM_LICENSE_ACQUIRED` This event will be fired when an offline playback license was successfully acquired.
    `static java.lang.String` | `ODRM_LICENSE_ERROR` This event will be fired when an offline playback license could not be acquired because of an error that occurred during the license retrieval process.
    `static java.lang.String` | `ODRM_LICENSE_NOT_AVAILABLE` This event will be fired when an offline playback license was not provided by the license server.
    `static java.lang.String` | `ODRM_LICENSE_RELEASED` This event will be fired when an offline playback license was successfully released.
    `static java.lang.String` | `ODRM_LICENSE_RENEWED` This event will be fired when an offline playback license was successfully renewed.
    `static java.lang.String` | `ODRM_PLAYBACK_NOT_ALLOWED` This event will be fired when download is requested for a video that is not eligible for offline playback.
    `static java.lang.String` | `ODRM_SOURCE_NOT_FOUND` This event will be fired when download is requested for a video that does not include any `Source` suitable of offline playback.
    `static java.lang.String` | `ON_FRAME_AVAILABLE` This event is sent when the frame to draw a 360 video is available
    `static java.lang.String` | `PAUSE` Indicates playback should be paused.
    `static java.lang.String` | `PLAY` Indicates playback should begin.
    `static java.lang.String` | `PREBUFFER_NEXT_VIDEO` Indicates the video specified by the source property should be prepared to play next.
    `static java.lang.String` | `PROGRESS` As a player plays a video, it will emit progress events.
    `static java.lang.String` | `PROJECTION_FORMAT_CHANGED` The player has changed the projection format for the video player
    `static java.lang.String` | `READY_TO_PLAY` Indicates the VideoDisplayComponent is ready to receive video content.
    `static java.lang.String` | `REGISTER_PLUGIN` Indicates that a plugin is ready to be registered
    `static java.lang.String` | `REMOVE_CUE_POINT` Removes a cue point.
    `static java.lang.String` | `REMOVE_VIDEO_STILL` Indicates a Video Still image will be removed and hidden from any component that makes use of one.
    `static java.lang.String` | `RESPONSE` RESPONSE is a special event; EventEmitter implementations will use this to indicate an event that is a direct response to a previous event, issued by EventEmitter.request().
    `static java.lang.String` | `RESTORE_DEFAULT_MEDIA_CONTROLLER` Restores the default `BrightcoveMediaController` values.
    `static java.lang.String` | `REWIND` Indicates a rewind operation should begin.
    `static java.lang.String` | `SEEK_CONTROLLER_CONFIGURATION` Configure the Rewind and Fast-forward buttons.
    `static java.lang.String` | `SEEK_TO` Instructs player to seek to a specific position on the timeline.
    `static java.lang.String` | `SEEK_TO_INCORRECT_TARGET_VALUE` Indicates an incorrect target value was used to do a seek.
    `static java.lang.String` | `SEEKBAR_DRAGGING_PROGRESS` Starts dragging the seek bar by sending the `AbstractEvent.SEEK_PROGRESS_LONG` property.
    `static java.lang.String` | `SEEKBAR_DRAGGING_START` Starts dragging the seek bar
    `static java.lang.String` | `SEEKBAR_DRAGGING_STOP` Stops dragging the seek bar
    `static java.lang.String` | `SELECT_AUDIO_TRACK` Indicates that a certain audio track should be selected.
    `static java.lang.String` | `SELECT_CLOSED_CAPTION_TRACK` Indicates that a closed caption track has been selected
    `static java.lang.String` | `SELECT_SOURCE` Indicates any SourceSelector components should select a Source rendition.
    `static java.lang.String` | `SET_ANALYTICS_BASE_PARAMS` Indicates that base parameters for the Analytics component are available
    `static java.lang.String` | `SET_CAPTIONS_STATE` Deprecated. As of 4.7.1, no longer used.
    `static java.lang.String` | `SET_CUE_POINT` Adds a cue point.
    `static java.lang.String` | `SET_CUE_POINTS` Replaces the current cue points with a new list of cue points.
    `static java.lang.String` | `SET_MEDIA_CONTROLLER_CONFIG` Sets the `MediaControllerConfig`.
    `static java.lang.String` | `SET_SOURCE` Indicates a Source is available for any component that requires a Source to function.
    `static java.lang.String` | `SET_VIDEO` Indicates a Video is available for any component that can use one.
    `static java.lang.String` | `SET_VIDEO_STILL` Indicates a Video Still image is available for any component that makes use of one.
    `static java.lang.String` | `SET_VOLUME` Set the player volume
    `static java.lang.String` | `SHOW_PLAYER_OPTIONS` The player will show the player extra options as audio tracks and captions.
    `static java.lang.String` | `SHOW_SEEK_CONTROLS` Show the player controls
    `static java.lang.String` | `SOURCE_NOT_FOUND` Indicates a Source rendition was not found, in response to SELECT_SOURCE.
    `static java.lang.String` | `SOURCE_NOT_PLAYABLE` Indicates a Source is not playable by the current player.
    `static java.lang.String` | `STOP` Indicates the current media will not be played any more and that resources related to the current media should be released.
    `static java.lang.String` | `TEST`
    `static java.lang.String` | `TOGGLE_CLOSED_CAPTIONS` Indicates the toggling of closed captions between on and off (view-wise).
    `static java.lang.String` | `VERSION` The player version string.
    `static java.lang.String` | `VIDEO_DOWNLOAD_CANCELLED` This event will be fired when a `Video` download is successfully cancelled.
    `static java.lang.String` | `VIDEO_DOWNLOAD_COMPLETED` This event will be fired when a `Video` download is successfully completed.
    `static java.lang.String` | `VIDEO_DOWNLOAD_FAILED` This event will be fired when a `Video` download fails.
    `static java.lang.String` | `VIDEO_DOWNLOAD_STARTED` This event will be fired when a request to download a `Video` has started.
    `static java.lang.String` | `VIDEO_DURATION_CHANGED` Indicates that a video's duration has changed.
    `static java.lang.String` | `VIDEO_SIZE_KNOWN` Once a player discovers the video size, it should emit the dimensions so that the view can adjust.
    `static java.lang.String` | `WILL_CHANGE_VIDEO` Indicates the current video will change to the next video in the list.
    `static java.lang.String` | `WILL_INTERRUPT_CONTENT` Indicates that content will be interrupted.
    `static java.lang.String` | `WILL_RESUME_CONTENT` Indicates that content will be resumed.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EventType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANY

          public static final java.lang.String ANY

      ANY is a special event in that the Default Implementation of EventEmitter will process all listeners for ANY before every event. Be careful with this one.
      See Also:
        Constant Field Values

    - #### RESPONSE

          public static final java.lang.String RESPONSE

      RESPONSE is a special event; EventEmitter implementations will use this to indicate an event that is a direct response to a previous event, issued by EventEmitter.request().
      See Also:
        `EventEmitter.request(String, com.brightcove.player.event.EventListener)`, Constant Field Values

    - #### ODRM_PLAYBACK_NOT_ALLOWED

          public static final java.lang.String ODRM_PLAYBACK_NOT_ALLOWED

      This event will be fired when download is requested for a video that is not eligible for offline playback. Please use `Video.isOfflinePlaybackAllowed()` to check if video is eligible for offline playback. The event property `AbstractEvent.VIDEO` will point the `Video`.
      See Also:
        Constant Field Values

    - #### ODRM_SOURCE_NOT_FOUND

          public static final java.lang.String ODRM_SOURCE_NOT_FOUND

      This event will be fired when download is requested for a video that does not include any `Source` suitable of offline playback. The event property `AbstractEvent.VIDEO` will point to the `Video`.
      See Also:
        Constant Field Values

    - #### ODRM_LICENSE_NOT_AVAILABLE

          public static final java.lang.String ODRM_LICENSE_NOT_AVAILABLE

      This event will be fired when an offline playback license was not provided by the license server. The event property `AbstractEvent.VIDEO` will point to the `Video`.
      See Also:
        Constant Field Values

    - #### ODRM_LICENSE_ERROR

          public static final java.lang.String ODRM_LICENSE_ERROR

      This event will be fired when an offline playback license could not be acquired because of an error that occurred during the license retrieval process. The event property `AbstractEvent.VIDEO` will point to the `Video`. Please inspect the property `AbstractEvent.ERROR` for the actual cause of the failure.
      See Also:
        Constant Field Values

    - #### ODRM_LICENSE_ACQUIRED

          public static final java.lang.String ODRM_LICENSE_ACQUIRED

      This event will be fired when an offline playback license was successfully acquired. The event property `AbstractEvent.VIDEO` will point to the `Video`.
      See Also:
        Constant Field Values

    - #### ODRM_LICENSE_RENEWED

          public static final java.lang.String ODRM_LICENSE_RENEWED

      This event will be fired when an offline playback license was successfully renewed. The event property `AbstractEvent.VIDEO` will point to the `Video`.
      See Also:
        Constant Field Values

    - #### ODRM_LICENSE_RELEASED

          public static final java.lang.String ODRM_LICENSE_RELEASED

      This event will be fired when an offline playback license was successfully released. The event property `AbstractEvent.VIDEO` will point to the `Video`.
      See Also:
        Constant Field Values

    - #### VIDEO_DOWNLOAD_STARTED

          public static final java.lang.String VIDEO_DOWNLOAD_STARTED

      This event will be fired when a request to download a `Video` has started.
      See Also:
        Constant Field Values

    - #### VIDEO_DOWNLOAD_COMPLETED

          public static final java.lang.String VIDEO_DOWNLOAD_COMPLETED

      This event will be fired when a `Video` download is successfully completed.
      See Also:
        Constant Field Values

    - #### VIDEO_DOWNLOAD_CANCELLED

          public static final java.lang.String VIDEO_DOWNLOAD_CANCELLED

      This event will be fired when a `Video` download is successfully cancelled.
      See Also:
        Constant Field Values

    - #### VIDEO_DOWNLOAD_FAILED

          public static final java.lang.String VIDEO_DOWNLOAD_FAILED

      This event will be fired when a `Video` download fails.
      See Also:
        Constant Field Values

    - #### PLAY

          public static final java.lang.String PLAY

      Indicates playback should begin.
      See Also:
        Constant Field Values

    - #### DID_PLAY

          public static final java.lang.String DID_PLAY

      Indicates playback just began, in response to PLAY.
      See Also:
        Constant Field Values

    - #### PAUSE

          public static final java.lang.String PAUSE

      Indicates playback should be paused.
      See Also:
        Constant Field Values

    - #### DID_PAUSE

          public static final java.lang.String DID_PAUSE

      Indicates playback just stopped, in response to PAUSE.
      See Also:
        Constant Field Values

    - #### STOP

          public static final java.lang.String STOP

      Indicates the current media will not be played any more and that resources related to the current media should be released.
      See Also:
        Constant Field Values

    - #### DID_STOP

          public static final java.lang.String DID_STOP

      Indicates playback just stopped, in response to STOP.
      See Also:
        Constant Field Values

    - #### REWIND

          public static final java.lang.String REWIND

      Indicates a rewind operation should begin.
      See Also:
        Constant Field Values

    - #### DID_REWIND

          public static final java.lang.String DID_REWIND

      Indicates a rewind operation has completed.
      See Also:
        Constant Field Values

    - #### FAST_FORWARD

          public static final java.lang.String FAST_FORWARD

      Indicates a fast forward operation should begin.
      See Also:
        Constant Field Values

    - #### DID_FAST_FORWARD

          public static final java.lang.String DID_FAST_FORWARD

      Indicates a fast forward operation should begin.
      See Also:
        Constant Field Values

    - #### COMPLETED

          public static final java.lang.String COMPLETED

      Indicates video playback has completed (i.e., played entire media).
      See Also:
        Constant Field Values

    - #### SEEK_TO

          public static final java.lang.String SEEK_TO

      Instructs player to seek to a specific position on the timeline.
      See Also:
        Constant Field Values

    - #### DID_SEEK_TO

          public static final java.lang.String DID_SEEK_TO

      Indicates a previously requested seek action completed, in response to SEEK_TO.
      See Also:
        Constant Field Values

    - #### SEEK_TO_INCORRECT_TARGET_VALUE

          public static final java.lang.String SEEK_TO_INCORRECT_TARGET_VALUE

      Indicates an incorrect target value was used to do a seek.
      See Also:
        Constant Field Values

    - #### PROGRESS

          public static final java.lang.String PROGRESS

      As a player plays a video, it will emit progress events.
      See Also:
        Constant Field Values

    - #### AD_BREAK_STARTED

          public static final java.lang.String AD_BREAK_STARTED

      After a plugin starts an advertisement break, it will emit this event.
      See Also:
        Constant Field Values

    - #### AD_STARTED

          public static final java.lang.String AD_STARTED

      After a plugin starts an advertisement, it will emit this event.
      See Also:
        Constant Field Values

    - #### AD_PAUSED

          public static final java.lang.String AD_PAUSED

      After a plugin pauses an advertisement, it will emit this event.
      See Also:
        Constant Field Values

    - #### AD_RESUMED

          public static final java.lang.String AD_RESUMED

      After a plugin resumes an advertisement, it will emit this event.
      See Also:
        Constant Field Values

    - #### AD_PROGRESS

          public static final java.lang.String AD_PROGRESS

      As a plugin plays an advertisement, it will emit this event periodically.
      See Also:
        Constant Field Values

    - #### AD_COMPLETED

          public static final java.lang.String AD_COMPLETED

      After a plugin finishes an advertisement, it will emit this event.
      See Also:
        Constant Field Values

    - #### AD_BREAK_COMPLETED

          public static final java.lang.String AD_BREAK_COMPLETED

      After a plugin finishes an advertisement break, it will emit this event.
      See Also:
        Constant Field Values

    - #### AD_ERROR

          public static final java.lang.String AD_ERROR

      When a plugin encounters an error while playing an advertisement, it will emit this event.
      See Also:
        Constant Field Values

    - #### FIND_VIDEO

          public static final java.lang.String FIND_VIDEO

      Request to find a video via the Catalog.
      See Also:
        Constant Field Values

    - #### FIND_PLAYLIST

          public static final java.lang.String FIND_PLAYLIST

      Request to find a playlist via the Catalog.
      See Also:
        Constant Field Values

    - #### ACTIVITY_CREATED

          public static final java.lang.String ACTIVITY_CREATED

      Indicates the activity has been created.
      See Also:
        Constant Field Values

    - #### ACTIVITY_DESTROYED

          public static final java.lang.String ACTIVITY_DESTROYED

      Indicates the activity has been destroyed.
      See Also:
        Constant Field Values

    - #### ACTIVITY_PAUSED

          public static final java.lang.String ACTIVITY_PAUSED

      Indicates the activity has been paused.
      See Also:
        Constant Field Values

    - #### ACTIVITY_RESTARTED

          public static final java.lang.String ACTIVITY_RESTARTED

      Indicates the activity has been restarted.
      See Also:
        Constant Field Values

    - #### ACTIVITY_RESUMED

          public static final java.lang.String ACTIVITY_RESUMED

      Indicates the activity is about to save state.
      See Also:
        Constant Field Values

    - #### ACTIVITY_SAVE_INSTANCE_STATE

          public static final java.lang.String ACTIVITY_SAVE_INSTANCE_STATE

      Indicates the activity is about to save state.
      See Also:
        Constant Field Values

    - #### ACTIVITY_STARTED

          public static final java.lang.String ACTIVITY_STARTED

      Indicates the activity has been started.
      See Also:
        Constant Field Values

    - #### ACTIVITY_STOPPED

          public static final java.lang.String ACTIVITY_STOPPED

      Indicates the activity has been stopped.
      See Also:
        Constant Field Values

    - #### CONFIGURATION_CHANGED

          public static final java.lang.String CONFIGURATION_CHANGED

      Indicates that a configuration change has occurred in the Activity.
      See Also:
        Constant Field Values

    - #### FRAGMENT_ACTIVITY_CREATED

          public static final java.lang.String FRAGMENT_ACTIVITY_CREATED

      See Also:
        Constant Field Values

    - #### FRAGMENT_CREATED_VIEW

          public static final java.lang.String FRAGMENT_CREATED_VIEW

      See Also:
        Constant Field Values

    - #### FRAGMENT_DESTROYED

          public static final java.lang.String FRAGMENT_DESTROYED

      See Also:
        Constant Field Values

    - #### FRAGMENT_DESTROYED_VIEW

          public static final java.lang.String FRAGMENT_DESTROYED_VIEW

      See Also:
        Constant Field Values

    - #### FRAGMENT_DETACHED

          public static final java.lang.String FRAGMENT_DETACHED

      See Also:
        Constant Field Values

    - #### FRAGMENT_PAUSED

          public static final java.lang.String FRAGMENT_PAUSED

      See Also:
        Constant Field Values

    - #### FRAGMENT_RESUMED

          public static final java.lang.String FRAGMENT_RESUMED

      See Also:
        Constant Field Values

    - #### FRAGMENT_SAVE_INSTANCE_STATE

          public static final java.lang.String FRAGMENT_SAVE_INSTANCE_STATE

      See Also:
        Constant Field Values

    - #### FRAGMENT_STARTED

          public static final java.lang.String FRAGMENT_STARTED

      See Also:
        Constant Field Values

    - #### FRAGMENT_STOPPED

          public static final java.lang.String FRAGMENT_STOPPED

      See Also:
        Constant Field Values

    - #### FRAGMENT_VIEW_STATE_RESTORED

          public static final java.lang.String FRAGMENT_VIEW_STATE_RESTORED

      See Also:
        Constant Field Values

    - #### READY_TO_PLAY

          public static final java.lang.String READY_TO_PLAY

      Indicates the VideoDisplayComponent is ready to receive video content.
      See Also:
        Constant Field Values

    - #### SET_VIDEO

          public static final java.lang.String SET_VIDEO

      Indicates a Video is available for any component that can use one.
      See Also:
        Constant Field Values

    - #### DID_SET_VIDEO

          public static final java.lang.String DID_SET_VIDEO

      Indicates a Video loaded successfully, in response to SET_VIDEO.
      See Also:
        Constant Field Values

    - #### SELECT_SOURCE

          public static final java.lang.String SELECT_SOURCE

      Indicates any SourceSelector components should select a Source rendition.
      See Also:
        Constant Field Values

    - #### DID_SELECT_SOURCE

          public static final java.lang.String DID_SELECT_SOURCE

      Indicates a Source rendition was selected, in response to SELECT_SOURCE.
      See Also:
        Constant Field Values

    - #### SOURCE_NOT_FOUND

          public static final java.lang.String SOURCE_NOT_FOUND

      Indicates a Source rendition was not found, in response to SELECT_SOURCE.
      See Also:
        Constant Field Values

    - #### SET_SOURCE

          public static final java.lang.String SET_SOURCE

      Indicates a Source is available for any component that requires a Source to function.
      See Also:
        Constant Field Values

    - #### DID_SET_SOURCE

          public static final java.lang.String DID_SET_SOURCE

      Indicates a Source has been successfully loaded, in response to SET_SOURCE.
      See Also:
        Constant Field Values

    - #### SET_VIDEO_STILL

          public static final java.lang.String SET_VIDEO_STILL

      Indicates a Video Still image is available for any component that makes use of one.
      See Also:
        Constant Field Values

    - #### DID_SET_VIDEO_STILL

          public static final java.lang.String DID_SET_VIDEO_STILL

      Indicates a Video Still image has been successfully loaded, in response to SET_VIDEO_STILL.
      See Also:
        Constant Field Values

    - #### DID_SET_VIDEO_STILL_ERROR

          public static final java.lang.String DID_SET_VIDEO_STILL_ERROR

      Indicates a Video Still image has NOT been successfully loaded, in response to SET_VIDEO_STILL.
      See Also:
        Constant Field Values

    - #### REMOVE_VIDEO_STILL

          public static final java.lang.String REMOVE_VIDEO_STILL

      Indicates a Video Still image will be removed and hidden from any component that makes use of one.
      See Also:
        Constant Field Values

    - #### DID_REMOVE_VIDEO_STILL

          public static final java.lang.String DID_REMOVE_VIDEO_STILL

      Indicates a Video Still image has been successfully removed. The `VideoStillDisplayComponent` reacts to different events to remove it automatically, but you can call `REMOVE_VIDEO_STILL` at any point to do it.
      See Also:
        Constant Field Values

    - #### BUFFERED_UPDATE

          public static final java.lang.String BUFFERED_UPDATE

      As a progressive download video is downloaded, the VideoDisplayComponent will emit updates indicating how much of the video has been buffered.
      See Also:
        Constant Field Values

    - #### VIDEO_SIZE_KNOWN

          public static final java.lang.String VIDEO_SIZE_KNOWN

      Once a player discovers the video size, it should emit the dimensions so that the view can adjust. Required params: Event.VIDEO_HEIGHT and Event.VIDEO_WIDTH
      See Also:
        Constant Field Values

    - #### VIDEO_DURATION_CHANGED

          public static final java.lang.String VIDEO_DURATION_CHANGED

      Indicates that a video's duration has changed.
      See Also:
        Constant Field Values

    - #### BUFFERING_STARTED

          public static final java.lang.String BUFFERING_STARTED

      Indicates that a player has started buffering content.
      See Also:
        Constant Field Values

    - #### BUFFERING_COMPLETED

          public static final java.lang.String BUFFERING_COMPLETED

      Indicates that a player has finished buffering content.
      See Also:
        Constant Field Values

    - #### CUE_POINT

          public static final java.lang.String CUE_POINT

      Indicates a cue point has been fired at a specific time position.
      See Also:
        Constant Field Values

    - #### REMOVE_CUE_POINT

          public static final java.lang.String REMOVE_CUE_POINT

      Removes a cue point. Expects a CuePoint object specified in the Event using the key below.
      See Also:
        `AbstractEvent.CUE_POINT`, Constant Field Values

    - #### SET_CUE_POINT

          public static final java.lang.String SET_CUE_POINT

      Adds a cue point. Expects a CuePoint object specified in the Event using the key below.
      See Also:
        `AbstractEvent.CUE_POINT`, Constant Field Values

    - #### SET_CUE_POINTS

          public static final java.lang.String SET_CUE_POINTS

      Replaces the current cue points with a new list of cue points. Expects a List of CuePoint objects specified in the Event using the key below.
      See Also:
        `AbstractEvent.CUE_POINTS`, Constant Field Values

    - #### WILL_INTERRUPT_CONTENT

          public static final java.lang.String WILL_INTERRUPT_CONTENT

      Indicates that content will be interrupted.
      See Also:
        Constant Field Values

    - #### DID_INTERRUPT_CONTENT

          public static final java.lang.String DID_INTERRUPT_CONTENT

      Indicates that content was interrupted.
      See Also:
        Constant Field Values

    - #### WILL_RESUME_CONTENT

          public static final java.lang.String WILL_RESUME_CONTENT

      Indicates that content will be resumed.
      See Also:
        Constant Field Values

    - #### DID_RESUME_CONTENT

          public static final java.lang.String DID_RESUME_CONTENT

      Indicates that content was resumed.
      See Also:
        Constant Field Values

    - #### ERROR

          public static final java.lang.String ERROR

      Indicates an error occurred in a component in the course of processing an earlier event.
      See Also:
        Constant Field Values

    - #### SOURCE_NOT_PLAYABLE

          public static final java.lang.String SOURCE_NOT_PLAYABLE

      Indicates a Source is not playable by the current player.
      See Also:
        Constant Field Values

    - #### TEST

          public static final java.lang.String TEST

      See Also:
        Constant Field Values

    - #### DEBUG

          public static final java.lang.String DEBUG

      Indicates debug logging should be enabled or disabled
      See Also:
        Constant Field Values

    - #### DID_CHANGE_LIST

          public static final java.lang.String DID_CHANGE_LIST

      Indicates that the list of videos changed.
      See Also:
        Constant Field Values

    - #### WILL_CHANGE_VIDEO

          public static final java.lang.String WILL_CHANGE_VIDEO

      Indicates the current video will change to the next video in the list.
      See Also:
        Constant Field Values

    - #### PREBUFFER_NEXT_VIDEO

          public static final java.lang.String PREBUFFER_NEXT_VIDEO

      Indicates the video specified by the source property should be prepared to play next.
      See Also:
        Constant Field Values

    - #### ADD_ANALYTICS_BASE_PARAMS

          public static final java.lang.String ADD_ANALYTICS_BASE_PARAMS

      Indicates additional base parameters for the Analytics component are available. Null values will be removed and not be sent.
      See Also:
        Constant Field Values

    - #### SET_ANALYTICS_BASE_PARAMS

          public static final java.lang.String SET_ANALYTICS_BASE_PARAMS

      Indicates that base parameters for the Analytics component are available
      See Also:
        Constant Field Values

    - #### DID_SET_ANALYTICS_BASE_PARAMS

          public static final java.lang.String DID_SET_ANALYTICS_BASE_PARAMS

      Indicates that the Analytics component received base parameter changes and has applied them
      See Also:
        Constant Field Values

    - #### ACCOUNT

          public static final java.lang.String ACCOUNT

      Indicates that the account has been set.
      See Also:
        Constant Field Values

    - #### ANALYTICS_CATALOG_REQUEST

          public static final java.lang.String ANALYTICS_CATALOG_REQUEST

      Indicates that a catalog request has been made.
      See Also:
        Constant Field Values

    - #### ANALYTICS_CATALOG_RESPONSE

          public static final java.lang.String ANALYTICS_CATALOG_RESPONSE

      Indicates that a catalog response was received.
      See Also:
        Constant Field Values

    - #### ANALYTICS_VIDEO_ENGAGEMENT

          public static final java.lang.String ANALYTICS_VIDEO_ENGAGEMENT

      Indicates that video_engagement event data was received.
      See Also:
        Constant Field Values

    - #### REGISTER_PLUGIN

          public static final java.lang.String REGISTER_PLUGIN

      Indicates that a plugin is ready to be registered
      See Also:
        Constant Field Values

    - #### SET_VOLUME

          public static final java.lang.String SET_VOLUME

      Set the player volume
      See Also:
        Constant Field Values

    - #### HIDE_SEEK_CONTROLS

          public static final java.lang.String HIDE_SEEK_CONTROLS

      Hide the player controls
      See Also:
        Constant Field Values

    - #### SHOW_SEEK_CONTROLS

          public static final java.lang.String SHOW_SEEK_CONTROLS

      Show the player controls
      See Also:
        Constant Field Values

    - #### VERSION

          public static final java.lang.String VERSION

      The player version string.
      See Also:
        Constant Field Values

    - #### DID_ENTER_FULL_SCREEN

          public static final java.lang.String DID_ENTER_FULL_SCREEN

      The player entered full screen.
      See Also:
        Constant Field Values

    - #### DID_EXIT_FULL_SCREEN

          public static final java.lang.String DID_EXIT_FULL_SCREEN

      The player exited full screen.
      See Also:
        Constant Field Values

    - #### ENTER_FULL_SCREEN

          public static final java.lang.String ENTER_FULL_SCREEN

      The player will enter full screen mode.
      See Also:
        Constant Field Values

    - #### EXIT_FULL_SCREEN

          public static final java.lang.String EXIT_FULL_SCREEN

      The player will exit full screen mode.
      See Also:
        Constant Field Values

    - #### ENTERED_VR_MODE

          public static final java.lang.String ENTERED_VR_MODE

      The player has entered Google VR mode.
      See Also:
        Constant Field Values

    - #### EXITED_VR_MODE

          public static final java.lang.String EXITED_VR_MODE

      The player has exited Google VR mode.
      See Also:
        Constant Field Values

    - #### ENTER_TV_MODE

          public static final java.lang.String ENTER_TV_MODE

      The player will enter tv mode.
      See Also:
        Constant Field Values

    - #### SHOW_PLAYER_OPTIONS

          public static final java.lang.String SHOW_PLAYER_OPTIONS

      The player will show the player extra options as audio tracks and captions.
      See Also:
        Constant Field Values

    - #### HIDE_PLAYER_OPTIONS

          public static final java.lang.String HIDE_PLAYER_OPTIONS

      The player will hide the player extra options as audio tracks and captions.
      See Also:
        Constant Field Values

    - #### ENTER_PICTURE_IN_PICTURE_MODE

          public static final java.lang.String ENTER_PICTURE_IN_PICTURE_MODE

      The player will enter Picture-in-Picture mode.
      See Also:
        Constant Field Values

    - #### EXIT_PICTURE_IN_PICTURE_MODE

          public static final java.lang.String EXIT_PICTURE_IN_PICTURE_MODE

      The player will exit Picture-in-Picture mode.
      See Also:
        Constant Field Values

    - #### DID_ENTER_PICTURE_IN_PICTURE_MODE

          public static final java.lang.String DID_ENTER_PICTURE_IN_PICTURE_MODE

      The player entered Picture-in-Picture mode.
      See Also:
        Constant Field Values

    - #### DID_EXIT_PICTURE_IN_PICTURE_MODE

          public static final java.lang.String DID_EXIT_PICTURE_IN_PICTURE_MODE

      The player exited Picture-in-Picture mode.
      See Also:
        Constant Field Values

    - #### PROJECTION_FORMAT_CHANGED

          public static final java.lang.String PROJECTION_FORMAT_CHANGED

      The player has changed the projection format for the video player
      See Also:
        Constant Field Values

    - #### ON_FRAME_AVAILABLE

          public static final java.lang.String ON_FRAME_AVAILABLE

      This event is sent when the frame to draw a 360 video is available
      See Also:
        Constant Field Values

    - #### CHANGE_ORIENTATION

          public static final java.lang.String CHANGE_ORIENTATION

      The player is requesting orientation change
      See Also:
        Constant Field Values

    - #### SEEK_CONTROLLER_CONFIGURATION

          public static final java.lang.String SEEK_CONTROLLER_CONFIGURATION

      Configure the Rewind and Fast-forward buttons.
      See Also:
        `AbstractEvent.SEEK_DEFAULT_LONG`, `AbstractEvent.SEEK_RELATIVE_ENABLED`, `AbstractEvent.SEEK_PERCENTAGE`, `AbstractEvent.SEEK_ON_HOLD_WAIT_TIME`, `AbstractEvent.SEEK_ON_HOLD_UPDATE_FREQ`, Constant Field Values

    - #### SEEKBAR_DRAGGING_PROGRESS

          public static final java.lang.String SEEKBAR_DRAGGING_PROGRESS

      Starts dragging the seek bar by sending the `AbstractEvent.SEEK_PROGRESS_LONG` property.
      See Also:
        Constant Field Values

    - #### SEEKBAR_DRAGGING_START

          public static final java.lang.String SEEKBAR_DRAGGING_START

      Starts dragging the seek bar
      See Also:
        Constant Field Values

    - #### SEEKBAR_DRAGGING_STOP

          public static final java.lang.String SEEKBAR_DRAGGING_STOP

      Stops dragging the seek bar
      See Also:
        Constant Field Values

    - #### SET_MEDIA_CONTROLLER_CONFIG

          public static final java.lang.String SET_MEDIA_CONTROLLER_CONFIG

      Sets the `MediaControllerConfig`.
      See Also:
        Constant Field Values

    - #### RESTORE_DEFAULT_MEDIA_CONTROLLER

          public static final java.lang.String RESTORE_DEFAULT_MEDIA_CONTROLLER

      Restores the default `BrightcoveMediaController` values. It only has an effect when `SET_MEDIA_CONTROLLER_CONFIG` was used. To check the values restored, check the parameters available in `MediaControllerConfig`.
      See Also:
        Constant Field Values

    - #### CAPTION

          public static final java.lang.String CAPTION

      Indicates that a caption should be rendered.
      See Also:
        Constant Field Values

    - #### DID_LOAD_CLOSED_CAPTIONS

          public static final java.lang.String DID_LOAD_CLOSED_CAPTIONS

      Indicates that a closed captioning document has been loaded.
      See Also:
        Constant Field Values

    - #### CAPTIONS_AVAILABLE

          public static final java.lang.String CAPTIONS_AVAILABLE

      Indicates that closed captioning information is available for use.
      See Also:
        Constant Field Values

    - #### CAPTIONS_LANGUAGES

          public static final java.lang.String CAPTIONS_LANGUAGES

      Indicates that there is at least one caption language for the user to choose from.
      See Also:
        Constant Field Values

    - #### CLOSED_CAPTIONING_ERROR

          public static final java.lang.String CLOSED_CAPTIONING_ERROR

      Indicates that there was an error processing closed captioning information.
      See Also:
        Constant Field Values

    - #### TOGGLE_CLOSED_CAPTIONS

          public static final java.lang.String TOGGLE_CLOSED_CAPTIONS

      Indicates the toggling of closed captions between on and off (view-wise).
      See Also:
        Constant Field Values

    - #### SELECT_CLOSED_CAPTION_TRACK

          public static final java.lang.String SELECT_CLOSED_CAPTION_TRACK

      Indicates that a closed caption track has been selected
      See Also:
        Constant Field Values

    - #### SET_CAPTIONS_STATE

          @Deprecated
          public static final java.lang.String SET_CAPTIONS_STATE

      Deprecated. As of 4.7.1, no longer used.
      Indicates that the caption state has been set to enabled or disabled.
      See Also:
        Constant Field Values

    - #### CAPTIONS_DIALOG_OK

          public static final java.lang.String CAPTIONS_DIALOG_OK

      Indications the captions dialog ok button has been pressed.
      See Also:
        Constant Field Values

    - #### CAPTIONS_DIALOG_SETTINGS

          public static final java.lang.String CAPTIONS_DIALOG_SETTINGS

      Indications the captions dialog settings button has been pressed.
      See Also:
        Constant Field Values

    - #### GO_LIVE

          public static final java.lang.String GO_LIVE

      Indicates that the video should go to the live position.
      See Also:
        Constant Field Values

    - #### DID_GO_LIVE

          public static final java.lang.String DID_GO_LIVE

      Indicates that the video has gone live.
      See Also:
        Constant Field Values

    - #### AUDIO_TRACKS

          public static final java.lang.String AUDIO_TRACKS

      Indicates that there is at least one audio track for the user to choose from.
      See Also:
        Constant Field Values

    - #### AUDIO_TRACKS_DIALOG_OK

          public static final java.lang.String AUDIO_TRACKS_DIALOG_OK

      Indications the audio tracks dialog ok button has been pressed.
      See Also:
        Constant Field Values

    - #### AUDIO_TRACKS_DIALOG_SETTINGS

          public static final java.lang.String AUDIO_TRACKS_DIALOG_SETTINGS

      Indications the audio tracks dialog settings button has been pressed.
      See Also:
        Constant Field Values

    - #### SELECT_AUDIO_TRACK

          public static final java.lang.String SELECT_AUDIO_TRACK

      Indicates that a certain audio track should be selected.
      See Also:
        Constant Field Values

    - #### GSC_MAX_CONCURRENCY_REACHED

          public static final java.lang.String GSC_MAX_CONCURRENCY_REACHED

      Indicates that generic stream concurrency has reached the max of devices allowed to playback content.
      See Also:
        Constant Field Values

    - #### GSC_ERROR

          public static final java.lang.String GSC_ERROR

      Indicates that generic stream concurrency error has been found.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EventType

          public EventType()